#ifndef UTIL_H
#define UTIL_H


template <typename Mesh>
class HalfedgeLoopRange {
	Mesh &mesh;
	const typename Mesh::HalfedgeHandle &start;

  public:
	HalfedgeLoopRange(Mesh &mesh, const typename Mesh::HalfedgeHandle &start)
		:mesh(mesh), start(start) {}
	typename Mesh::HalfedgeLoopIter begin() {
		return mesh.hl_begin(start);
	}
	typename Mesh::HalfedgeLoopIter end() {
		return mesh.hl_end(start);
	}
};


template <typename Mesh>
class ConstHalfedgeLoopRange {
	Mesh &mesh;
	const typename Mesh::HalfedgeHandle &start;

  public:
	ConstHalfedgeLoopRange(Mesh &mesh, const typename Mesh::HalfedgeHandle &start)
		:mesh(mesh), start(start) {}
	typename Mesh::HalfedgeLoopIter begin() {
		return mesh.chl_begin(start);
	}
	typename Mesh::HalfedgeLoopIter end() {
		return mesh.chl_end(start);
	}
};


#endif